﻿using System;
using System.Runtime.InteropServices;

namespace AC.Input.Platforms.Windows
{
	[StructLayout(LayoutKind.Sequential)]
	internal struct JOYCAPS
	{
		public UInt16 wMid;
		public UInt16 wPid;
		[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]
		public string szPname;
		public Int32 wXmin;
		public Int32 wXmax;
		public Int32 wYmin;
		public Int32 wYmax;
		public Int32 wZmin;
		public Int32 wZmax;
		public Int32 wNumButtons;
		public Int32 wPeriodMin;
		public Int32 wPeriodMax;
		public Int32 wRmin;
		public Int32 wRmax;
		public Int32 wUmin;
		public Int32 wUmax;
		public Int32 wVmin;
		public Int32 wVmax;
		public Int32 wCaps;
		public Int32 wMaxAxes;
		public Int32 wNumAxes;
		public Int32 wMaxButtons;
		[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]
		public string szRegKey;
		[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 260)]
		public string szOEMVxD;
	}
}
