﻿using System;
using AC.Input.Platforms;

namespace AC.Input
{
	public static class InputManager
	{
		public static IntPtr WindowHandle
		{
			set
			{
				BaseContext.Current.WindowHandle = value;
			}
		}

		static InputManager()
		{
		}

		public static void Run()
		{
			BaseContext.Current.Update();

			Mouse.Instance.Update();

			Keyboard.Instance.Update();

			GamePad.One.Update();
			GamePad.Two.Update();
			GamePad.Three.Update();
			GamePad.Four.Update();
		}
	}
}
